<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.uml2sd.ui"
   name="UML2SD Viewer Plug-in"
   version="3.0.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.uml2sd.ui.SDViewerPlugin">

   <runtime>
      <library name="sdviewer.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.swt"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
   </requires>


   <extension-point id="uml2SDLoader" name="uml2SDLoader" schema="schema/UML2SDLoader.exsd"/>

   <extension
         point="org.eclipse.ui.views">
      <view
            name="%UML2SDTAB_TITLE"
            icon="icons/sequencediagram_co.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.uml2sd.ui.view.SDView"
            id="org.eclipse.hyades.uml2sd.ui.view.SDView">
      </view>
   </extension>
   
   <extension point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension 
			targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
      	<view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.uml2sd.ui.view.SDView">
      	</view>
      </perspectiveExtension>
   </extension>
   
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%UML2SDPREF_PAGE_NAME"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewPreferencePage"
            class="org.eclipse.hyades.uml2sd.ui.preferences.SDViewerPage"
            id="org.eclipse.hyades.uml2sd.ui.preferences.SDViewerPage">
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <scope
            name="%COMMAND_SCOPE_NAME"
            description="%COMMAND_SCOPE_DESCRIPTION"
            id="org.eclipse.ui.UML2SDScope">
      </scope>
      <category
            name="%COMMAND_CATEGORY_NAME"
            description="%COMMAND_CATEGORY_DESCRIPTION"
            id="org.eclipse.hyades.uml2sd.ui.command">
      </category>
      <command
            name="%SHOW_CALLED_ACTION_NAME"
            description="%SHOW_CALLED_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToCalled">
      </command>
      <keyBinding
            string="Shift+Arrow_Right"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToCalled"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_CALLER_ACTION_NAME"
            description="%SHOW_CALLER_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToCaller">
      </command>
      <keyBinding
            string="Shift+Arrow_Left"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToCaller"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_FIRST_MESS_ACTION_NAME"
            description="%SHOW_FIRST_MESS_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToFirstLifelineMessage">
      </command>
      <keyBinding
            string="Shift+Home"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToFirstLifelineMessage"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_LAST_MESS_ACTION_NAME"
            description="%SHOW_LAST_MESS_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToLastLifelineMessage">
      </command>
      <keyBinding
            string="Shift+End"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToLastLifelineMessage"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_NEXT_MESS_ACTION_NAME"
            description="%SHOW_NEXT_MESS_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifelineMessage">
      </command>
      <keyBinding
            string="Shift+Arrow_Down"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifelineMessage"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_PREV_MESS_ACTION_NAME"
            description="%SHOW_PREV_MESS_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifelineMessage">
      </command>
      <keyBinding
            string="Shift+Arrow_Up"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifelineMessage"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_MESSAGE_ACTION_NAME"
            description="%SHOW_MESSAGE_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToMessage">
      </command>
      <keyBinding
            string="Ctrl+Shift+Arrow_Down"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToMessage"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_NEXT_LIFELINE_ACTION_NAME"
            description="%SHOW_NEXT_LIFELINE_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifeline">
      </command>
      <keyBinding
            string="Ctrl+Shift+Arrow_Right"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifeline"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_PREV_LIFELINE_ACTION_NAME"
            description="%SHOW_PREV_LIFELINE_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifeline">
      </command>
      <keyBinding
            string="Ctrl+Shift+Arrow_Left"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifeline"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_NODE_END_ACTION_NAME"
            description="%SHOW_NODE_END_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeEnd">
      </command>
      <keyBinding
            string="END"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeEnd"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%SHOW_NODE_START_ACTION_NAME"
            description="%SHOW_NODE_START_ACTION_DESCRIPTION"
            category="org.eclipse.hyades.uml2sd.ui.command"
            id="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeStart">
      </command>
      <keyBinding
            string="HOME"
            scope="org.eclipse.ui.UML2SDScope"
            command="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeStart"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
      <viewContribution
            targetID="org.eclipse.hyades.uml2sd.ui.view.SDView"
            id="org.eclipse.hyades.uml2sd.ui.actions.Navigation">
         <menu
               label="%NAVIGATION"
               path="UML2SD_OTHER_COMMANDS"
               id="org.eclipse.hyades.uml2sd.ui.actions">
            <separator
                  name="navigation">
            </separator>
         </menu>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToCalled"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToCalled"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToCalled"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToCalled"
               label="%SHOW_CALLED_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_CALLED_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToCaller"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToCaller"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToCaller"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToCaller"
               label="%SHOW_CALLER_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_CALLER_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToFirstLifelineMessage"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToFirstLifelineMessage"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToFirstLifelineMessage"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToFirstLifelineMessage"
               label="%SHOW_FIRST_MESS_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_FIRST_MESS_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToLastLifelineMessage"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToLastLifelineMessage"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToLastLifelineMessage"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToLastLifelineMessage"
               label="%SHOW_LAST_MESS_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_LAST_MESS_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifelineMessage"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifelineMessage"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifelineMessage"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifelineMessage"
               label="%SHOW_NEXT_MESS_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_NEXT_MESS_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifelineMessage"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifelineMessage"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifelineMessage"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifelineMessage"
               label="%SHOW_PREV_MESS_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_PREV_MESS_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifeline"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifeline"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifeline"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToNextLifeline"
               label="%SHOW_NEXT_LIFELINE_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_NEXT_LIFELINE_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifeline"
               class="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifeline"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifeline"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.GoToPrevLifeline"
               label="%SHOW_PREV_LIFELINE_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_PREV_LIFELINE_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeEnd"
               class="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeEnd"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeEnd"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeEnd"
               label="%SHOW_NODE_END_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_NODE_END_ACTION_DESCRIPTION">
         </action>
         <action
               state="true"
               style="push"
               id="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeStart"
               class="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeStart"
               definitionId="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeStart"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.ShowNodeStart"
               label="%SHOW_NODE_START_ACTION_NAME"
               menubarPath="org.eclipse.hyades.uml2sd.ui.actions/navigation"
               tooltip="%SHOW_NODE_START_ACTION_DESCRIPTION">
         </action>
      </viewContribution>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
      <viewContribution
            targetID="org.eclipse.hyades.uml2sd.ui.view.SDView"
            id="org.eclipse.hyades.uml2sd.ui.actions.ZoomInCoolBar">
         <action
               state="false"
               style="radio"
               toolbarPath="UML2SD_OTHER_COMMANDS"
               id="org.eclipse.hyades.uml2sd.ui.actions.ZoomInCoolBar"
               class="org.eclipse.hyades.uml2sd.ui.actions.Zoom"
               icon="icons/zoomin_nav.gif"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.ZoomIn"
               label="%ACTION_ZOOM_IN_NAME"
               menubarPath="UML2SD_OTHER_COMMANDS"
               tooltip="%ACTION_ZOOM_IN_TOOLTIP">
         </action>
         <action
               state="false"
               style="radio"
               toolbarPath="UML2SD_OTHER_COMMANDS"
               id="org.eclipse.hyades.uml2sd.ui.actions.ZoomOutCoolBar"
               class="org.eclipse.hyades.uml2sd.ui.actions.Zoom"
               icon="icons/zoomout_nav.gif"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.ZoomOut"
               label="%ACTION_ZOOM_OUT_NAME"
               menubarPath="UML2SD_OTHER_COMMANDS"
               tooltip="%ACTION_ZOOM_OUT_TOOLTIP">
         </action>
         <action
               state="false"
               style="radio"
               toolbarPath="UML2SD_OTHER_COMMANDS"
               id="org.eclipse.hyades.uml2sd.ui.actions.ResetZoom"
               class="org.eclipse.hyades.uml2sd.ui.actions.Zoom"
               icon="icons/home_nav.gif"
               helpContextId="org.eclipse.hyades.uml2sd.ui.actions.ResetZoom"
               label="%ACTION_RESET_ZOOM"
               menubarPath="UML2SD_OTHER_COMMANDS"
               tooltip="%ACTION_RESET_ZOOM_TOOLTIP">
         </action>
      </viewContribution>
   </extension>
   
   <extension point="org.eclipse.help.contexts">
		<contexts file="UML2SDContexts.xml" plugin="org.eclipse.hyades.uml2sd.ui"/>
   </extension>

</plugin>
